//@ts-check

import { emit } from '../utils/eventbus'

const init = () => {
    window.addEventListener('mousemove', evt => {
        emit('pointermove', {
            x: evt.pageX,
            y: evt.pageY
        })
    })

    window.addEventListener('mousedown', evt => {
        emit('pointerdown', {
            x: evt.pageX,
            y: evt.pageY
        })
    })

    window.addEventListener('mouseup', evt => {
        emit('pointerup', {
            x: evt.pageX,
            y: evt.pageY
        })
    })
}

export default init
